Skip to main content
`Ctrl`+`K`

# PEPJDSetMinimalityIndex

Sets the maximum allowed value for the minimality index.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetMinimalityIndex(PEP pep,PetscInt mmidx)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- mmidx - maximum minimality index

## Options Database Key

- -pep_jd_minimality_index <mmidx> - the minimality index value

## Notes

The default value is equal to the degree of the polynomial. A smaller value can be used if the wanted eigenvectors are known to be linearly independent.

Detailed information can be found at [Campos and Roman, 2020].

## References

[Cam20a]

C. Campos and J. E. Roman. A polynomial Jacobi-Davidson solver with support for non-monomial bases and deflation. BIT, 60(2):295–318, 2020. doi:10.1007/s10543-019-00778-z.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDGetMinimalityIndex()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDSetMinimalityIndex_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages